# Class default

Component used for the desktop layout.

Available slots:

- `header`: Header of the component.
- `data`: for the left panel
- `tool-button`: for the right panel tools button
- `tool-button-separate`: for the right panel tools button like the shared button
- `tool-panel-<name>`: for the right panels
- `infobar-left`: for the left components of the infobar
- `infobar-right`: for the right components of the infobar
- `infobar-footer`: for the footer of the infobar
- `footer-<name>`: for the footer components.

CSS variable to configure the panel sizes:

- `--right-panel-width-<name>`: width of the tool panel
- `--footer-panel-height-<name>`: height of the footer panel

#### Hierarchy

- default
  - default

- Defined in src/canvas/DesktopElement.ts:87

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

connectedCallback
disconnectedCallback
initConfig
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
onMouseDown
onMouseMove
render
resizeDataPanel
resizeToolPanel
toggleBackgroundSelector
toggleShowDatapanel_
toggleShowInfobar_
updated
webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- #### Returns default

  Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/canvas/DesktopElement.ts:104

## Methods

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides default.connectedCallback

  - Defined in src/canvas/DesktopElement.ts:388

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Overrides default.disconnectedCallback

  - Defined in src/canvas/DesktopElement.ts:451

### initConfig

- initConfig(configuration: Configuration): void

- #### Parameters

  - ##### configuration: Configuration

  #### Returns void

  Overrides BaseElement.initConfig

  - Defined in src/canvas/DesktopElement.ts:458

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### onMouseDown

- onMouseDown(panelResizeEvent: PanelResize, separator: HTMLElement, leftElement: HTMLElement, rightElement: HTMLElement): ((event: MouseEvent) => void)

- Panel resizing: Store initial mouse position, listen to drag event and resize elements

  ### Returns

  #### Parameters

  - ##### panelResizeEvent: PanelResize

    Interface to store the details of the drag event

  - ##### separator: HTMLElement

    Element separating the elements to resize

  - ##### leftElement: HTMLElement

    Left element to resize

  - ##### rightElement: HTMLElement

    Right element to resize

  #### Returns ((event: MouseEvent) => void)

  - - (event: MouseEvent): void

    - #### Parameters

      - ##### event: MouseEvent

      #### Returns void

  - Defined in src/canvas/DesktopElement.ts:513

### onMouseMove

- onMouseMove(panelResizeEvent: PanelResize): ((event: MouseEvent) => MouseEvent)

- Panel resizing: Compute drag offset, change element position or width accordingly

  ### Returns

  The drag event

  #### Parameters

  - ##### panelResizeEvent: PanelResize

    Interface to store the details of the mouse down event

  #### Returns ((event: MouseEvent) => MouseEvent)

  - - (event: MouseEvent): MouseEvent

    - #### Parameters

      - ##### event: MouseEvent

      #### Returns MouseEvent

  - Defined in src/canvas/DesktopElement.ts:547

### render

- render(): TemplateResult<ResultType>

- #### Returns TemplateResult<ResultType>

  Overrides BaseElement.render

  - Defined in src/canvas/DesktopElement.ts:633

### resizeDataPanel

- resizeDataPanel(event: MouseEvent, desktopCanvas: ShadowRoot): MouseEvent

- Resize the data (left) panel when dragging the separator

  ### Returns

  The mouse down event

  #### Parameters

  - ##### event: MouseEvent

    The mouse down event

  - ##### desktopCanvas: ShadowRoot

    The desktop canvas

  #### Returns MouseEvent

  - Defined in src/canvas/DesktopElement.ts:604

### resizeToolPanel

- resizeToolPanel(event: MouseEvent, desktopCanvas: ShadowRoot): MouseEvent

- Resize the tool (right) panel when dragging the separator

  ### Returns

  The mouse down event

  #### Parameters

  - ##### event: MouseEvent

    The mouse down event

  - ##### desktopCanvas: ShadowRoot

    The desktop canvas

  #### Returns MouseEvent

  - Defined in src/canvas/DesktopElement.ts:622

### toggleBackgroundSelector

- toggleBackgroundSelector(): void

- #### Returns void

  - Defined in src/canvas/DesktopElement.ts:473

### toggleShowDatapanel_

- toggleShowDatapanel_(): void

- #### Returns void

  - Defined in src/canvas/DesktopElement.ts:481

### toggleShowInfobar_

- toggleShowInfobar_(): void

- #### Returns void

  - Defined in src/canvas/DesktopElement.ts:468

### updated

- updated(): void

- #### Returns void

  Overrides BaseElement.updated

  - Defined in src/canvas/DesktopElement.ts:749

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- #### Parameters

  - ##### `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc